package reparto_medicomed.keymon.lat;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class mapa_rutas extends Activity implements B4AActivity{
	public static mapa_rutas mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;
    public static boolean dontPause;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new BA(this.getApplicationContext(), null, null, "reparto_medicomed.keymon.lat", "reparto_medicomed.keymon.lat.mapa_rutas");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (mapa_rutas).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "reparto_medicomed.keymon.lat", "reparto_medicomed.keymon.lat.mapa_rutas");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "reparto_medicomed.keymon.lat.mapa_rutas", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (mapa_rutas) Create " + (isFirst ? "(first time)" : "") + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (mapa_rutas) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return mapa_rutas.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        if (!dontPause)
            BA.LogInfo("** Activity (mapa_rutas) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        else
            BA.LogInfo("** Activity (mapa_rutas) Pause event (activity is not paused). **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        if (!dontPause) {
            processBA.setActivityPaused(true);
            mostCurrent = null;
        }

        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            mapa_rutas mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (mapa_rutas) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.gps.GPS _gps = null;
public static anywheresoftware.b4a.objects.RuntimePermissions _rp = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c2 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c22 = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _c3 = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper _gmap = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper _mapfragment1 = null;
public static double _latitud = 0;
public static double _longitud = 0;
public static double _lat2 = 0;
public static double _lon2 = 0;
public anywheresoftware.b4a.gps.LocationWrapper _p1 = null;
public anywheresoftware.b4a.gps.LocationWrapper _p2 = null;
public static float _distance = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _boton1 = null;
public static float _hue_blue = 0f;
public static float _hue_red = 0f;
public static float _hue_green = 0f;
public anywheresoftware.b4a.objects.ButtonWrapper _b_azul = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_rojo = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_verde = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b_todos = null;
public static String _tienda = "";
public static String _ruta = "";
public static String _rutaant = "";
public static double _latitudru = 0;
public static double _longitudru = 0;
public anywheresoftware.b4a.objects.collections.List _list_azul = null;
public anywheresoftware.b4a.objects.collections.List _list_rojo = null;
public anywheresoftware.b4a.objects.collections.List _list_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_azul = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_rojo = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_verde = null;
public anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _mark_cedis = null;
public static String _rojo = "";
public static String _azul = "";
public static String _verde = "";
public static String _todos = "";
public static int _numserie = 0;
public uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener _oninfowindowclicklistener1 = null;
public uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras _googlemapextra = null;
public static String _codigo = "";
public static String _semana = "";
public b4a.example.dateutils _dateutils = null;
public reparto_medicomed.keymon.lat.main _main = null;
public reparto_medicomed.keymon.lat.appupdater _appupdater = null;
public reparto_medicomed.keymon.lat.foto _foto = null;
public reparto_medicomed.keymon.lat.mapa_cliente _mapa_cliente = null;
public reparto_medicomed.keymon.lat.starter _starter = null;
public reparto_medicomed.keymon.lat.subs _subs = null;
public reparto_medicomed.keymon.lat.tracker _tracker = null;
public reparto_medicomed.keymon.lat.newinst2 _newinst2 = null;
public reparto_medicomed.keymon.lat.b4xpages _b4xpages = null;
public reparto_medicomed.keymon.lat.b4xcollections _b4xcollections = null;
public reparto_medicomed.keymon.lat.httputils2service _httputils2service = null;
public reparto_medicomed.keymon.lat.xuiviewsutils _xuiviewsutils = null;

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 59;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 61;BA.debugLine="Activity.LoadLayout(\"MAPA_RUTAS\")";
mostCurrent._activity.LoadLayout("MAPA_RUTAS",mostCurrent.activityBA);
 //BA.debugLineNum = 72;BA.debugLine="If MapFragment1.IsGooglePlayServicesAvailable = F";
if (mostCurrent._mapfragment1.IsGooglePlayServicesAvailable(mostCurrent.activityBA)==anywheresoftware.b4a.keywords.Common.False) { 
 //BA.debugLineNum = 73;BA.debugLine="ToastMessageShow(\"Please install Google Play Ser";
anywheresoftware.b4a.keywords.Common.ToastMessageShow(BA.ObjectToCharSequence("Please install Google Play Services."),anywheresoftware.b4a.keywords.Common.True);
 };
 //BA.debugLineNum = 84;BA.debugLine="MARK_AZUL.IsInitialized";
mostCurrent._mark_azul.IsInitialized();
 //BA.debugLineNum = 85;BA.debugLine="MARK_ROJO.IsInitialized";
mostCurrent._mark_rojo.IsInitialized();
 //BA.debugLineNum = 86;BA.debugLine="MARK_VERDE.IsInitialized";
mostCurrent._mark_verde.IsInitialized();
 //BA.debugLineNum = 88;BA.debugLine="LIST_AZUL.Initialize";
mostCurrent._list_azul.Initialize();
 //BA.debugLineNum = 89;BA.debugLine="LIST_ROJO.Initialize";
mostCurrent._list_rojo.Initialize();
 //BA.debugLineNum = 90;BA.debugLine="LIST_VERDE.Initialize";
mostCurrent._list_verde.Initialize();
 //BA.debugLineNum = 92;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 93;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 94;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 95;BA.debugLine="todos = 1";
mostCurrent._todos = BA.NumberToString(1);
 //BA.debugLineNum = 109;BA.debugLine="End Sub";
return "";
}
public static boolean  _activity_keypress(int _key) throws Exception{
 //BA.debugLineNum = 354;BA.debugLine="Sub Activity_KeyPress (key As Int) As Boolean 'ign";
 //BA.debugLineNum = 356;BA.debugLine="If key=KeyCodes.KEYCODE_BACK Then";
if (_key==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 //BA.debugLineNum = 358;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Principal");
 //BA.debugLineNum = 359;BA.debugLine="Return False";
if (true) return anywheresoftware.b4a.keywords.Common.False;
 };
 //BA.debugLineNum = 363;BA.debugLine="End Sub";
return false;
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 314;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 315;BA.debugLine="GPS.Stop";
_gps.Stop();
 //BA.debugLineNum = 316;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 305;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 312;BA.debugLine="End Sub";
return "";
}
public static String  _b_azul_click() throws Exception{
 //BA.debugLineNum = 344;BA.debugLine="Sub B_AZUL_Click";
 //BA.debugLineNum = 345;BA.debugLine="azul = 1";
mostCurrent._azul = BA.NumberToString(1);
 //BA.debugLineNum = 346;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 347;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 348;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 349;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 350;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 351;BA.debugLine="End Sub";
return "";
}
public static String  _b_rojo_click() throws Exception{
 //BA.debugLineNum = 335;BA.debugLine="Sub B_ROJO_Click";
 //BA.debugLineNum = 336;BA.debugLine="rojo = 1";
mostCurrent._rojo = BA.NumberToString(1);
 //BA.debugLineNum = 337;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 338;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 339;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 340;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 341;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 342;BA.debugLine="End Sub";
return "";
}
public static String  _b_todos_click() throws Exception{
 //BA.debugLineNum = 318;BA.debugLine="Sub B_TODOS_Click";
 //BA.debugLineNum = 319;BA.debugLine="todos  =1";
mostCurrent._todos = BA.NumberToString(1);
 //BA.debugLineNum = 320;BA.debugLine="verde = 0";
mostCurrent._verde = BA.NumberToString(0);
 //BA.debugLineNum = 321;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 322;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 323;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 324;BA.debugLine="End Sub";
return "";
}
public static String  _b_verde_click() throws Exception{
 //BA.debugLineNum = 326;BA.debugLine="Sub B_VERDE_Click";
 //BA.debugLineNum = 327;BA.debugLine="verde = 1";
mostCurrent._verde = BA.NumberToString(1);
 //BA.debugLineNum = 328;BA.debugLine="azul = 0";
mostCurrent._azul = BA.NumberToString(0);
 //BA.debugLineNum = 329;BA.debugLine="rojo = 0";
mostCurrent._rojo = BA.NumberToString(0);
 //BA.debugLineNum = 330;BA.debugLine="todos = 0";
mostCurrent._todos = BA.NumberToString(0);
 //BA.debugLineNum = 331;BA.debugLine="gmap.Clear";
mostCurrent._gmap.Clear();
 //BA.debugLineNum = 332;BA.debugLine="MapFragment1_Ready";
_mapfragment1_ready();
 //BA.debugLineNum = 333;BA.debugLine="End Sub";
return "";
}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 17;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 18;BA.debugLine="Private gmap As GoogleMap";
mostCurrent._gmap = new anywheresoftware.b4a.objects.MapFragmentWrapper.GoogleMapWrapper();
 //BA.debugLineNum = 19;BA.debugLine="Private MapFragment1 As MapFragment";
mostCurrent._mapfragment1 = new anywheresoftware.b4a.objects.MapFragmentWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim Latitud As Double = 0";
_latitud = 0;
 //BA.debugLineNum = 21;BA.debugLine="Dim Longitud As Double = 0";
_longitud = 0;
 //BA.debugLineNum = 22;BA.debugLine="Dim Lat2 As Double = 0";
_lat2 = 0;
 //BA.debugLineNum = 23;BA.debugLine="Dim Lon2 As Double = 0";
_lon2 = 0;
 //BA.debugLineNum = 24;BA.debugLine="Dim p1, p2 As Location";
mostCurrent._p1 = new anywheresoftware.b4a.gps.LocationWrapper();
mostCurrent._p2 = new anywheresoftware.b4a.gps.LocationWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim Distance As Float";
_distance = 0f;
 //BA.debugLineNum = 26;BA.debugLine="Dim boton1 As Button";
mostCurrent._boton1 = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim HUE_BLUE As Float";
_hue_blue = 0f;
 //BA.debugLineNum = 28;BA.debugLine="Dim HUE_RED As Float";
_hue_red = 0f;
 //BA.debugLineNum = 29;BA.debugLine="Dim HUE_GREEN As Float";
_hue_green = 0f;
 //BA.debugLineNum = 30;BA.debugLine="Private B_AZUL As Button";
mostCurrent._b_azul = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Private B_ROJO As Button";
mostCurrent._b_rojo = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Private B_VERDE As Button";
mostCurrent._b_verde = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 33;BA.debugLine="Private B_TODOS As Button";
mostCurrent._b_todos = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim Tienda As String";
mostCurrent._tienda = "";
 //BA.debugLineNum = 35;BA.debugLine="Dim ruta, rutaAnt As String";
mostCurrent._ruta = "";
mostCurrent._rutaant = "";
 //BA.debugLineNum = 36;BA.debugLine="Dim LatitudRu As Double";
_latitudru = 0;
 //BA.debugLineNum = 37;BA.debugLine="Dim LongitudRU As Double";
_longitudru = 0;
 //BA.debugLineNum = 38;BA.debugLine="Dim LIST_AZUL As List";
mostCurrent._list_azul = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 39;BA.debugLine="Dim LIST_ROJO As List";
mostCurrent._list_rojo = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 40;BA.debugLine="Dim LIST_VERDE As List";
mostCurrent._list_verde = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 41;BA.debugLine="Dim MARK_AZUL As Marker";
mostCurrent._mark_azul = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 42;BA.debugLine="Dim MARK_ROJO As Marker";
mostCurrent._mark_rojo = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Dim MARK_VERDE As Marker";
mostCurrent._mark_verde = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 44;BA.debugLine="Dim MARK_CEDIS As Marker";
mostCurrent._mark_cedis = new anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim rojo As String";
mostCurrent._rojo = "";
 //BA.debugLineNum = 46;BA.debugLine="Dim azul As String";
mostCurrent._azul = "";
 //BA.debugLineNum = 47;BA.debugLine="Dim verde As String";
mostCurrent._verde = "";
 //BA.debugLineNum = 48;BA.debugLine="Dim todos As String";
mostCurrent._todos = "";
 //BA.debugLineNum = 49;BA.debugLine="Dim NumSerie As Int";
_numserie = 0;
 //BA.debugLineNum = 50;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
 //BA.debugLineNum = 51;BA.debugLine="Dim GoogleMapEXTRA As GoogleMapsExtras";
mostCurrent._googlemapextra = new uk.co.martinpearman.b4a.googlemapsextras.GoogleMapsExtras();
 //BA.debugLineNum = 52;BA.debugLine="Dim CODIGO As String";
mostCurrent._codigo = "";
 //BA.debugLineNum = 53;BA.debugLine="Private SEMANA As String";
mostCurrent._semana = "";
 //BA.debugLineNum = 57;BA.debugLine="End Sub";
return "";
}
public static String  _gps_locationchanged(anywheresoftware.b4a.gps.LocationWrapper _parametro) throws Exception{
 //BA.debugLineNum = 284;BA.debugLine="Sub GPS_LocationChanged (Parametro As Location)";
 //BA.debugLineNum = 303;BA.debugLine="End Sub";
return "";
}
public static void  _mapfragment1_ready() throws Exception{
ResumableSub_MapFragment1_Ready rsub = new ResumableSub_MapFragment1_Ready(null);
rsub.resume(processBA, null);
}
public static class ResumableSub_MapFragment1_Ready extends BA.ResumableSub {
public ResumableSub_MapFragment1_Ready(reparto_medicomed.keymon.lat.mapa_rutas parent) {
this.parent = parent;
}
reparto_medicomed.keymon.lat.mapa_rutas parent;
String _permission = "";
boolean _result = false;
anywheresoftware.b4j.object.JavaObject _javamapsobject = null;
int _esteazul = 0;
String _esteazul2 = "";
int _i = 0;
anywheresoftware.b4a.sql.SQL.CursorWrapper _s = null;
int _esterojo = 0;
String _esterojo2 = "";
anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper _aa = null;
int step15;
int limit15;
int step59;
int limit59;
int step84;
int limit84;
int step104;
int limit104;
int step129;
int limit129;

@Override
public void resume(BA ba, Object[] result) throws Exception{

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
 //BA.debugLineNum = 112;BA.debugLine="gmap = MapFragment1.GetMap";
parent.mostCurrent._gmap = parent.mostCurrent._mapfragment1.GetMap();
 //BA.debugLineNum = 113;BA.debugLine="gmap.IsInitialized";
parent.mostCurrent._gmap.IsInitialized();
 //BA.debugLineNum = 114;BA.debugLine="rp.CheckAndRequest(rp.PERMISSION_ACCESS_FINE_LOCA";
parent._rp.CheckAndRequest(processBA,parent._rp.PERMISSION_ACCESS_FINE_LOCATION);
 //BA.debugLineNum = 115;BA.debugLine="Wait For Activity_PermissionResult (Permission As";
anywheresoftware.b4a.keywords.Common.WaitFor("activity_permissionresult", processBA, this, null);
this.state = 186;
return;
case 186:
//C
this.state = 1;
_permission = (String) result[0];
_result = (Boolean) result[1];
;
 //BA.debugLineNum = 116;BA.debugLine="gmap.MyLocationEnabled = Result";
parent.mostCurrent._gmap.setMyLocationEnabled(_result);
 //BA.debugLineNum = 118;BA.debugLine="Dim JavaMapsObject As JavaObject";
_javamapsobject = new anywheresoftware.b4j.object.JavaObject();
 //BA.debugLineNum = 119;BA.debugLine="JavaMapsObject = gmap.GetUiSettings";
_javamapsobject = (anywheresoftware.b4j.object.JavaObject) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4j.object.JavaObject(), (java.lang.Object)(parent.mostCurrent._gmap.GetUiSettings().getObject()));
 //BA.debugLineNum = 120;BA.debugLine="JavaMapsObject.RunMethod(\"setMapToolbarEnabled\",";
_javamapsobject.RunMethod("setMapToolbarEnabled",new Object[]{(Object)(anywheresoftware.b4a.keywords.Common.True)});
 //BA.debugLineNum = 122;BA.debugLine="Private esteAzul As Int = 0";
_esteazul = (int) (0);
 //BA.debugLineNum = 123;BA.debugLine="Private esteAzul2 As String";
_esteazul2 = "";
 //BA.debugLineNum = 124;BA.debugLine="If azul = 1 Or todos = 1  Then";
if (true) break;

case 1:
//if
this.state = 119;
if ((parent.mostCurrent._azul).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 3;
}if (true) break;

case 3:
//C
this.state = 4;
 //BA.debugLineNum = 125;BA.debugLine="c.IsInitialized";
parent._c.IsInitialized();
 //BA.debugLineNum = 126;BA.debugLine="c = Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
parent._c = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LAT, CAT_CL_LONG, CAT_CL_RUTA from kmt_info where gestion = 0 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
 //BA.debugLineNum = 127;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
 //BA.debugLineNum = 128;BA.debugLine="For i = 0 To c.RowCount -1";
if (true) break;

case 4:
//for
this.state = 112;
step15 = 1;
limit15 = (int) (parent._c.getRowCount()-1);
_i = (int) (0) ;
this.state = 187;
if (true) break;

case 187:
//C
this.state = 112;
if ((step15 > 0 && _i <= limit15) || (step15 < 0 && _i >= limit15)) this.state = 6;
if (true) break;

case 188:
//C
this.state = 187;
_i = ((int)(0 + _i + step15)) ;
if (true) break;

case 6:
//C
this.state = 7;
 //BA.debugLineNum = 129;BA.debugLine="c.Position = i";
parent._c.setPosition(_i);
 //BA.debugLineNum = 130;BA.debugLine="LatitudRu = c.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LAT")));
 //BA.debugLineNum = 131;BA.debugLine="LongitudRU = c.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c.GetString("CAT_CL_LONG")));
 //BA.debugLineNum = 132;BA.debugLine="CODIGO=c.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 133;BA.debugLine="Tienda= c.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 134;BA.debugLine="ruta = c.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c.GetString("CAT_CL_RUTA");
 //BA.debugLineNum = 135;BA.debugLine="If c.GetString(\"SECUENCIA\") = \"null\" Then";
if (true) break;

case 7:
//if
this.state = 12;
if ((parent._c.GetString("SECUENCIA")).equals("null")) { 
this.state = 9;
}else {
this.state = 11;
}if (true) break;

case 9:
//C
this.state = 12;
 //BA.debugLineNum = 136;BA.debugLine="NumSerie = 0";
parent._numserie = (int) (0);
 if (true) break;

case 11:
//C
this.state = 12;
 //BA.debugLineNum = 138;BA.debugLine="NumSerie = c.GetString(\"SECUENCIA\")";
parent._numserie = (int)(Double.parseDouble(parent._c.GetString("SECUENCIA")));
 if (true) break;

case 12:
//C
this.state = 13;
;
 //BA.debugLineNum = 140;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
_s = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_s = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery(("select indice from waypoints where codigo = '"+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent.mostCurrent._codigo))+"'"))));
 //BA.debugLineNum = 141;BA.debugLine="If s.RowCount > 0 Then";
if (true) break;

case 13:
//if
this.state = 16;
if (_s.getRowCount()>0) { 
this.state = 15;
}if (true) break;

case 15:
//C
this.state = 16;
 //BA.debugLineNum = 142;BA.debugLine="s.Position = 0";
_s.setPosition((int) (0));
 //BA.debugLineNum = 143;BA.debugLine="NumSerie = s.GetString(\"indice\")";
parent._numserie = (int)(Double.parseDouble(_s.GetString("indice")));
 if (true) break;
;
 //BA.debugLineNum = 145;BA.debugLine="If rutaAnt <> ruta Then esteAzul = esteAzul + 1";

case 16:
//if
this.state = 21;
if ((parent.mostCurrent._rutaant).equals(parent.mostCurrent._ruta) == false) { 
this.state = 18;
;}if (true) break;

case 18:
//C
this.state = 21;
_esteazul = (int) (_esteazul+1);
if (true) break;

case 21:
//C
this.state = 22;
;
 //BA.debugLineNum = 146;BA.debugLine="If esteAzul = 1 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 22:
//if
this.state = 27;
if (_esteazul==1) { 
this.state = 24;
;}if (true) break;

case 24:
//C
this.state = 27;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul.png";
if (true) break;

case 27:
//C
this.state = 28;
;
 //BA.debugLineNum = 147;BA.debugLine="If esteAzul = 2 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 28:
//if
this.state = 33;
if (_esteazul==2) { 
this.state = 30;
;}if (true) break;

case 30:
//C
this.state = 33;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul1.png";
if (true) break;

case 33:
//C
this.state = 34;
;
 //BA.debugLineNum = 148;BA.debugLine="If esteAzul = 3 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 34:
//if
this.state = 39;
if (_esteazul==3) { 
this.state = 36;
;}if (true) break;

case 36:
//C
this.state = 39;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul2.png";
if (true) break;

case 39:
//C
this.state = 40;
;
 //BA.debugLineNum = 149;BA.debugLine="If esteAzul = 4 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 40:
//if
this.state = 45;
if (_esteazul==4) { 
this.state = 42;
;}if (true) break;

case 42:
//C
this.state = 45;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul3.png";
if (true) break;

case 45:
//C
this.state = 46;
;
 //BA.debugLineNum = 150;BA.debugLine="If esteAzul = 5 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 46:
//if
this.state = 51;
if (_esteazul==5) { 
this.state = 48;
;}if (true) break;

case 48:
//C
this.state = 51;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul4.png";
if (true) break;

case 51:
//C
this.state = 52;
;
 //BA.debugLineNum = 151;BA.debugLine="If esteAzul = 6 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 52:
//if
this.state = 57;
if (_esteazul==6) { 
this.state = 54;
;}if (true) break;

case 54:
//C
this.state = 57;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul.png";
if (true) break;

case 57:
//C
this.state = 58;
;
 //BA.debugLineNum = 152;BA.debugLine="If esteAzul = 7 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 58:
//if
this.state = 63;
if (_esteazul==7) { 
this.state = 60;
;}if (true) break;

case 60:
//C
this.state = 63;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul1.png";
if (true) break;

case 63:
//C
this.state = 64;
;
 //BA.debugLineNum = 153;BA.debugLine="If esteAzul = 8 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 64:
//if
this.state = 69;
if (_esteazul==8) { 
this.state = 66;
;}if (true) break;

case 66:
//C
this.state = 69;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul2.png";
if (true) break;

case 69:
//C
this.state = 70;
;
 //BA.debugLineNum = 154;BA.debugLine="If esteAzul = 9 Then esteAzul2= NumSerie&\"maker";
if (true) break;

case 70:
//if
this.state = 75;
if (_esteazul==9) { 
this.state = 72;
;}if (true) break;

case 72:
//C
this.state = 75;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul3.png";
if (true) break;

case 75:
//C
this.state = 76;
;
 //BA.debugLineNum = 155;BA.debugLine="If esteAzul = 10 Then esteAzul2= NumSerie&\"make";
if (true) break;

case 76:
//if
this.state = 81;
if (_esteazul==10) { 
this.state = 78;
;}if (true) break;

case 78:
//C
this.state = 81;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul4.png";
if (true) break;

case 81:
//C
this.state = 82;
;
 //BA.debugLineNum = 156;BA.debugLine="If esteAzul = 11 Then esteAzul2= NumSerie&\"make";
if (true) break;

case 82:
//if
this.state = 87;
if (_esteazul==11) { 
this.state = 84;
;}if (true) break;

case 84:
//C
this.state = 87;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul.png";
if (true) break;

case 87:
//C
this.state = 88;
;
 //BA.debugLineNum = 157;BA.debugLine="If esteAzul = 12 Then esteAzul2= NumSerie&\"make";
if (true) break;

case 88:
//if
this.state = 93;
if (_esteazul==12) { 
this.state = 90;
;}if (true) break;

case 90:
//C
this.state = 93;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul1.png";
if (true) break;

case 93:
//C
this.state = 94;
;
 //BA.debugLineNum = 158;BA.debugLine="If esteAzul = 13 Then esteAzul2= NumSerie&\"make";
if (true) break;

case 94:
//if
this.state = 99;
if (_esteazul==13) { 
this.state = 96;
;}if (true) break;

case 96:
//C
this.state = 99;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul2.png";
if (true) break;

case 99:
//C
this.state = 100;
;
 //BA.debugLineNum = 159;BA.debugLine="If esteAzul = 14 Then esteAzul2= NumSerie&\"make";
if (true) break;

case 100:
//if
this.state = 105;
if (_esteazul==14) { 
this.state = 102;
;}if (true) break;

case 102:
//C
this.state = 105;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul3.png";
if (true) break;

case 105:
//C
this.state = 106;
;
 //BA.debugLineNum = 160;BA.debugLine="If esteAzul = 15 Then esteAzul2= NumSerie&\"make";
if (true) break;

case 106:
//if
this.state = 111;
if (_esteazul==15) { 
this.state = 108;
;}if (true) break;

case 108:
//C
this.state = 111;
_esteazul2 = BA.NumberToString(parent._numserie)+"maker-azul4.png";
if (true) break;

case 111:
//C
this.state = 188;
;
 //BA.debugLineNum = 164;BA.debugLine="MARK_AZUL = gmap.AddMarker3(LatitudRu,LongitudR";
parent.mostCurrent._mark_azul = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),_esteazul2).getObject()));
 //BA.debugLineNum = 165;BA.debugLine="MARK_AZUL.Snippet = \"R: \" & ruta & \" - \" & Tien";
parent.mostCurrent._mark_azul.setSnippet("R: "+parent.mostCurrent._ruta+" - "+parent.mostCurrent._tienda);
 //BA.debugLineNum = 166;BA.debugLine="rutaAnt = ruta";
parent.mostCurrent._rutaant = parent.mostCurrent._ruta;
 if (true) break;
if (true) break;

case 112:
//C
this.state = 113;
;
 //BA.debugLineNum = 168;BA.debugLine="c .Close";
parent._c.Close();
 //BA.debugLineNum = 169;BA.debugLine="If MARK_AZUL.IsInitialized Then LIST_AZUL.Add(MA";
if (true) break;

case 113:
//if
this.state = 118;
if (parent.mostCurrent._mark_azul.IsInitialized()) { 
this.state = 115;
;}if (true) break;

case 115:
//C
this.state = 118;
parent.mostCurrent._list_azul.Add((Object)(parent.mostCurrent._mark_azul.getObject()));
if (true) break;

case 118:
//C
this.state = 119;
;
 if (true) break;
;
 //BA.debugLineNum = 172;BA.debugLine="If verde = 1 Or todos = 1  Then";

case 119:
//if
this.state = 152;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 121;
}else {
this.state = 137;
}if (true) break;

case 121:
//C
this.state = 122;
 //BA.debugLineNum = 173;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
 //BA.debugLineNum = 174;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
 //BA.debugLineNum = 175;BA.debugLine="c2=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO,";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
 //BA.debugLineNum = 176;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 122:
//for
this.state = 135;
step59 = 1;
limit59 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 189;
if (true) break;

case 189:
//C
this.state = 135;
if ((step59 > 0 && _i <= limit59) || (step59 < 0 && _i >= limit59)) this.state = 124;
if (true) break;

case 190:
//C
this.state = 189;
_i = ((int)(0 + _i + step59)) ;
if (true) break;

case 124:
//C
this.state = 125;
 //BA.debugLineNum = 177;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
 //BA.debugLineNum = 178;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
 //BA.debugLineNum = 179;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
 //BA.debugLineNum = 180;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 181;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 182;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c2.GetString("CAT_CL_RUTA");
 //BA.debugLineNum = 183;BA.debugLine="If c2.GetString(\"SECUENCIA\") = \"null\" Then";
if (true) break;

case 125:
//if
this.state = 130;
if ((parent._c2.GetString("SECUENCIA")).equals("null")) { 
this.state = 127;
}else {
this.state = 129;
}if (true) break;

case 127:
//C
this.state = 130;
 //BA.debugLineNum = 184;BA.debugLine="NumSerie = 0";
parent._numserie = (int) (0);
 if (true) break;

case 129:
//C
this.state = 130;
 //BA.debugLineNum = 186;BA.debugLine="NumSerie = c2.GetString(\"SECUENCIA\")";
parent._numserie = (int)(Double.parseDouble(parent._c2.GetString("SECUENCIA")));
 if (true) break;

case 130:
//C
this.state = 131;
;
 //BA.debugLineNum = 188;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
_s = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_s = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery(("select indice from waypoints where codigo = '"+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent.mostCurrent._codigo))+"'"))));
 //BA.debugLineNum = 189;BA.debugLine="If s.RowCount > 0 Then";
if (true) break;

case 131:
//if
this.state = 134;
if (_s.getRowCount()>0) { 
this.state = 133;
}if (true) break;

case 133:
//C
this.state = 134;
 //BA.debugLineNum = 190;BA.debugLine="s.Position = 0";
_s.setPosition((int) (0));
 //BA.debugLineNum = 191;BA.debugLine="NumSerie = s.GetString(\"indice\")";
parent._numserie = (int)(Double.parseDouble(_s.GetString("indice")));
 if (true) break;

case 134:
//C
this.state = 190;
;
 //BA.debugLineNum = 193;BA.debugLine="MARK_VERDE = gmap.AddMarker3(LatitudRu,Longitud";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),BA.NumberToString(parent._numserie)+"marker-verde.png").getObject()));
 //BA.debugLineNum = 194;BA.debugLine="MARK_VERDE.Snippet = \"R:\" & ruta & \", \" & Tiend";
parent.mostCurrent._mark_verde.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 135:
//C
this.state = 152;
;
 if (true) break;

case 137:
//C
this.state = 138;
 //BA.debugLineNum = 197;BA.debugLine="If verde = 1 Or todos = 1  Then";
if (true) break;

case 138:
//if
this.state = 151;
if ((parent.mostCurrent._verde).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 140;
}if (true) break;

case 140:
//C
this.state = 141;
 //BA.debugLineNum = 198;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
 //BA.debugLineNum = 199;BA.debugLine="c2.IsInitialized";
parent._c2.IsInitialized();
 //BA.debugLineNum = 200;BA.debugLine="c2=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
parent._c2 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 2 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
 //BA.debugLineNum = 201;BA.debugLine="For i = 0 To c2.RowCount -1";
if (true) break;

case 141:
//for
this.state = 144;
step84 = 1;
limit84 = (int) (parent._c2.getRowCount()-1);
_i = (int) (0) ;
this.state = 191;
if (true) break;

case 191:
//C
this.state = 144;
if ((step84 > 0 && _i <= limit84) || (step84 < 0 && _i >= limit84)) this.state = 143;
if (true) break;

case 192:
//C
this.state = 191;
_i = ((int)(0 + _i + step84)) ;
if (true) break;

case 143:
//C
this.state = 192;
 //BA.debugLineNum = 202;BA.debugLine="c2.Position = i";
parent._c2.setPosition(_i);
 //BA.debugLineNum = 203;BA.debugLine="LongitudRU = c2.GetString(\"CAT_CL_LONG\")";
parent._longitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LONG")));
 //BA.debugLineNum = 204;BA.debugLine="LatitudRu = c2.GetString(\"CAT_CL_LAT\")";
parent._latitudru = (double)(Double.parseDouble(parent._c2.GetString("CAT_CL_LAT")));
 //BA.debugLineNum = 205;BA.debugLine="CODIGO=c2.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c2.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 206;BA.debugLine="Tienda= c2.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c2.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 207;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c2.GetString("CAT_CL_RUTA");
 //BA.debugLineNum = 208;BA.debugLine="MARK_VERDE = gmap.AddMarker2(LatitudRu,Longitu";
parent.mostCurrent._mark_verde = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_GREEN);
 //BA.debugLineNum = 209;BA.debugLine="MARK_VERDE.Snippet = \"R:\" & ruta & \", \" & Tien";
parent.mostCurrent._mark_verde.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 144:
//C
this.state = 145;
;
 //BA.debugLineNum = 211;BA.debugLine="c2 .Close";
parent._c2.Close();
 //BA.debugLineNum = 212;BA.debugLine="If MARK_VERDE.IsInitialized Then LIST_VERDE.Add";
if (true) break;

case 145:
//if
this.state = 150;
if (parent.mostCurrent._mark_verde.IsInitialized()) { 
this.state = 147;
;}if (true) break;

case 147:
//C
this.state = 150;
parent.mostCurrent._list_verde.Add((Object)(parent.mostCurrent._mark_verde.getObject()));
if (true) break;

case 150:
//C
this.state = 151;
;
 if (true) break;

case 151:
//C
this.state = 152;
;
 if (true) break;

case 152:
//C
this.state = 153;
;
 //BA.debugLineNum = 216;BA.debugLine="Private esteRojo As Int = 0";
_esterojo = (int) (0);
 //BA.debugLineNum = 217;BA.debugLine="Private esteRojo2 As String";
_esterojo2 = "";
 //BA.debugLineNum = 218;BA.debugLine="If rojo = 1 Or todos = 1 Then";
if (true) break;

case 153:
//if
this.state = 185;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 155;
}else {
this.state = 171;
}if (true) break;

case 155:
//C
this.state = 156;
 //BA.debugLineNum = 219;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
 //BA.debugLineNum = 220;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
 //BA.debugLineNum = 221;BA.debugLine="c3=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO,";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, IFNULL(SECUENCIA,0) AS SECUENCIA, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
 //BA.debugLineNum = 222;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 156:
//for
this.state = 169;
step104 = 1;
limit104 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 193;
if (true) break;

case 193:
//C
this.state = 169;
if ((step104 > 0 && _i <= limit104) || (step104 < 0 && _i >= limit104)) this.state = 158;
if (true) break;

case 194:
//C
this.state = 193;
_i = ((int)(0 + _i + step104)) ;
if (true) break;

case 158:
//C
this.state = 159;
 //BA.debugLineNum = 223;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
 //BA.debugLineNum = 224;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
 //BA.debugLineNum = 225;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
 //BA.debugLineNum = 226;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 227;BA.debugLine="ruta = c3.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c3.GetString("CAT_CL_RUTA");
 //BA.debugLineNum = 228;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 229;BA.debugLine="If c3.GetString(\"SECUENCIA\") = \"null\" Then";
if (true) break;

case 159:
//if
this.state = 164;
if ((parent._c3.GetString("SECUENCIA")).equals("null")) { 
this.state = 161;
}else {
this.state = 163;
}if (true) break;

case 161:
//C
this.state = 164;
 //BA.debugLineNum = 230;BA.debugLine="NumSerie = 0";
parent._numserie = (int) (0);
 if (true) break;

case 163:
//C
this.state = 164;
 //BA.debugLineNum = 232;BA.debugLine="NumSerie = c3.GetString(\"SECUENCIA\")";
parent._numserie = (int)(Double.parseDouble(parent._c3.GetString("SECUENCIA")));
 if (true) break;

case 164:
//C
this.state = 165;
;
 //BA.debugLineNum = 234;BA.debugLine="Private s As Cursor = Starter.skmt.ExecQuery($\"";
_s = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_s = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery(("select indice from waypoints where codigo = '"+anywheresoftware.b4a.keywords.Common.SmartStringFormatter("",(Object)(parent.mostCurrent._codigo))+"'"))));
 //BA.debugLineNum = 235;BA.debugLine="If s.RowCount > 0 Then";
if (true) break;

case 165:
//if
this.state = 168;
if (_s.getRowCount()>0) { 
this.state = 167;
}if (true) break;

case 167:
//C
this.state = 168;
 //BA.debugLineNum = 236;BA.debugLine="s.Position = 0";
_s.setPosition((int) (0));
 //BA.debugLineNum = 237;BA.debugLine="NumSerie = s.GetString(\"indice\")";
parent._numserie = (int)(Double.parseDouble(_s.GetString("indice")));
 if (true) break;

case 168:
//C
this.state = 194;
;
 //BA.debugLineNum = 239;BA.debugLine="MARK_ROJO = gmap.AddMarker3(LatitudRu,LongitudR";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker3(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,(android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmap(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),BA.NumberToString(parent._numserie)+"marker-rojo.png").getObject()));
 //BA.debugLineNum = 240;BA.debugLine="MARK_ROJO.Snippet= \"R:\" & ruta & \", \" & Tienda";
parent.mostCurrent._mark_rojo.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;

case 169:
//C
this.state = 185;
;
 if (true) break;

case 171:
//C
this.state = 172;
 //BA.debugLineNum = 243;BA.debugLine="If rojo = 1 Or  todos = 1  Then";
if (true) break;

case 172:
//if
this.state = 184;
if ((parent.mostCurrent._rojo).equals(BA.NumberToString(1)) || (parent.mostCurrent._todos).equals(BA.NumberToString(1))) { 
this.state = 174;
}if (true) break;

case 174:
//C
this.state = 175;
 //BA.debugLineNum = 244;BA.debugLine="rutaAnt = \"\"";
parent.mostCurrent._rutaant = "";
 //BA.debugLineNum = 245;BA.debugLine="c3.IsInitialized";
parent._c3.IsInitialized();
 //BA.debugLineNum = 246;BA.debugLine="c3=Starter.skmt.ExecQuery(\"select CAT_CL_CODIGO";
parent._c3 = (anywheresoftware.b4a.sql.SQL.CursorWrapper) anywheresoftware.b4a.AbsObjectWrapper.ConvertToWrapper(new anywheresoftware.b4a.sql.SQL.CursorWrapper(), (android.database.Cursor)(parent.mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecQuery("select CAT_CL_CODIGO, CAT_CL_NOMBRE, CAT_CL_LONG, CAT_CL_LAT, CAT_CL_RUTA from kmt_info where gestion = 3 and CAT_CL_LAT is not null and CAT_CL_LONG is not null and CAT_CL_LAT <> 0 and CAT_CL_LONG <> 0 AND CAT_CL_CODIGO <> 63403 order by CAT_CL_RUTA")));
 //BA.debugLineNum = 247;BA.debugLine="For i = 0 To c3.RowCount -1";
if (true) break;

case 175:
//for
this.state = 178;
step129 = 1;
limit129 = (int) (parent._c3.getRowCount()-1);
_i = (int) (0) ;
this.state = 195;
if (true) break;

case 195:
//C
this.state = 178;
if ((step129 > 0 && _i <= limit129) || (step129 < 0 && _i >= limit129)) this.state = 177;
if (true) break;

case 196:
//C
this.state = 195;
_i = ((int)(0 + _i + step129)) ;
if (true) break;

case 177:
//C
this.state = 196;
 //BA.debugLineNum = 248;BA.debugLine="c3.Position = i";
parent._c3.setPosition(_i);
 //BA.debugLineNum = 249;BA.debugLine="LongitudRU = c3.GetDouble(\"CAT_CL_LONG\")";
parent._longitudru = parent._c3.GetDouble("CAT_CL_LONG");
 //BA.debugLineNum = 250;BA.debugLine="LatitudRu = c3.GetDouble(\"CAT_CL_LAT\")";
parent._latitudru = parent._c3.GetDouble("CAT_CL_LAT");
 //BA.debugLineNum = 251;BA.debugLine="Tienda= c3.GetString(\"CAT_CL_NOMBRE\")";
parent.mostCurrent._tienda = parent._c3.GetString("CAT_CL_NOMBRE");
 //BA.debugLineNum = 252;BA.debugLine="ruta = c2.GetString(\"CAT_CL_RUTA\")";
parent.mostCurrent._ruta = parent._c2.GetString("CAT_CL_RUTA");
 //BA.debugLineNum = 253;BA.debugLine="CODIGO=c3.GetString(\"CAT_CL_CODIGO\")";
parent.mostCurrent._codigo = parent._c3.GetString("CAT_CL_CODIGO");
 //BA.debugLineNum = 254;BA.debugLine="MARK_ROJO = gmap.AddMarker2(LatitudRu,Longitud";
parent.mostCurrent._mark_rojo = parent.mostCurrent._gmap.AddMarker2(parent._latitudru,parent._longitudru,parent.mostCurrent._codigo,parent.mostCurrent._gmap.HUE_RED);
 //BA.debugLineNum = 255;BA.debugLine="MARK_ROJO.Snippet= \"R:\" & ruta & \", \" & Tienda";
parent.mostCurrent._mark_rojo.setSnippet("R:"+parent.mostCurrent._ruta+", "+parent.mostCurrent._tienda);
 if (true) break;
if (true) break;
;
 //BA.debugLineNum = 257;BA.debugLine="If MARK_ROJO.IsInitialized Then LIST_ROJO.Add(M";

case 178:
//if
this.state = 183;
if (parent.mostCurrent._mark_rojo.IsInitialized()) { 
this.state = 180;
;}if (true) break;

case 180:
//C
this.state = 183;
parent.mostCurrent._list_rojo.Add((Object)(parent.mostCurrent._mark_rojo.getObject()));
if (true) break;

case 183:
//C
this.state = 184;
;
 //BA.debugLineNum = 258;BA.debugLine="c3.Close";
parent._c3.Close();
 if (true) break;

case 184:
//C
this.state = 185;
;
 if (true) break;

case 185:
//C
this.state = -1;
;
 //BA.debugLineNum = 266;BA.debugLine="Dim aa As CameraPosition";
_aa = new anywheresoftware.b4a.objects.MapFragmentWrapper.CameraPositionWrapper();
 //BA.debugLineNum = 267;BA.debugLine="aa.Initialize(LatitudRu,LongitudRU,15)''' RECOMEN";
_aa.Initialize(parent._latitudru,parent._longitudru,(float) (15));
 //BA.debugLineNum = 268;BA.debugLine="gmap.AnimateCamera(aa)";
parent.mostCurrent._gmap.AnimateCamera((com.google.android.gms.maps.model.CameraPosition)(_aa.getObject()));
 //BA.debugLineNum = 271;BA.debugLine="Dim OnInfoWindowClickListener1 As OnInfoWindowCli";
parent.mostCurrent._oninfowindowclicklistener1 = new uk.co.martinpearman.b4a.com.google.android.gms.maps.googlemap.OnInfoWindowClickListener();
 //BA.debugLineNum = 272;BA.debugLine="OnInfoWindowClickListener1.Initialize(\"OnInfoWind";
parent.mostCurrent._oninfowindowclicklistener1.Initialize(mostCurrent.activityBA,"OnInfoWindowClickListener1");
 //BA.debugLineNum = 273;BA.debugLine="GoogleMapEXTRA.SetOnInfoWindowClickListener(gmap,";
parent.mostCurrent._googlemapextra.SetOnInfoWindowClickListener((com.google.android.gms.maps.GoogleMap)(parent.mostCurrent._gmap.getObject()),(com.google.android.gms.maps.GoogleMap.OnInfoWindowClickListener)(parent.mostCurrent._oninfowindowclicklistener1.getObject()));
 //BA.debugLineNum = 274;BA.debugLine="End Sub";
if (true) break;

            }
        }
    }
}
public static void  _activity_permissionresult(String _permission,boolean _result) throws Exception{
}
public static String  _oninfowindowclicklistener1_click(anywheresoftware.b4a.objects.MapFragmentWrapper.MarkerWrapper _marker1) throws Exception{
 //BA.debugLineNum = 277;BA.debugLine="Sub OnInfoWindowClickListener1_click(Marker1 As Ma";
 //BA.debugLineNum = 278;BA.debugLine="Starter.skmt.ExecNonQuery(\"delete from CUENTAA\")";
mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery("delete from CUENTAA");
 //BA.debugLineNum = 279;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO CUENTAA V";
mostCurrent._starter._skmt /*anywheresoftware.b4a.sql.SQL*/ .ExecNonQuery2("INSERT INTO CUENTAA VALUES (?) ",anywheresoftware.b4a.keywords.Common.ArrayToList(new Object[]{(Object)(_marker1.getTitle())}));
 //BA.debugLineNum = 280;BA.debugLine="Activity.Finish";
mostCurrent._activity.Finish();
 //BA.debugLineNum = 281;BA.debugLine="B4XPages.ShowPage(\"Cliente\")";
mostCurrent._b4xpages._showpage /*String*/ (mostCurrent.activityBA,"Cliente");
 //BA.debugLineNum = 282;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 7;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 8;BA.debugLine="Dim GPS As GPS";
_gps = new anywheresoftware.b4a.gps.GPS();
 //BA.debugLineNum = 9;BA.debugLine="Dim rp As RuntimePermissions";
_rp = new anywheresoftware.b4a.objects.RuntimePermissions();
 //BA.debugLineNum = 11;BA.debugLine="Dim c As Cursor";
_c = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 12;BA.debugLine="Dim c2 As Cursor";
_c2 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 13;BA.debugLine="Dim c22 As Cursor";
_c22 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 14;BA.debugLine="Dim c3 As Cursor";
_c3 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 15;BA.debugLine="End Sub";
return "";
}
}
